
/*
 * Test Program for NORVI IIOT V2.0
 * Use appropriate libraries supplied.
 * All Outputs should be on when turned on Supplying power to inputs should turn on Relays.
 * Display shows ADC values from Buit-in buttons. Pressing Built-in buttons should change Value displayed on Display
 *   
 * 
 */


#include "SSD1306.h" // alias for `#include "SSD1306Wire.h"`
#include <Adafruit_ADS1015.h>


SSD1306  display(0x3C, 16, 17);
Adafruit_ADS1115 ads2(0x48);  /* Use this for the 16-bit version */
Adafruit_ADS1115 ads1(0x49);



int reading[8]={0};
String adcString[8];


#define ANALOG_PIN_0 36
int analog_value = 0;

int readSwitch(){
  analog_value = analogRead(ANALOG_PIN_0);
  return analog_value                                                                                                ; //Read analog
}

unsigned int keyval=0;
String buttonString;

// ================================================ SETUP ================================================
void setup() {
  
  display.init();
  display.flipScreenVertically();
  display.setFont(ArialMT_Plain_10);
  
  display.drawString(0, 0, "Hello World");
  display.display();
    

  pinMode(26, OUTPUT);
  pinMode(27, OUTPUT);

  pinMode(18, INPUT);
  pinMode(39, INPUT);
  pinMode(34, INPUT);
  pinMode(35, INPUT);
  pinMode(19, INPUT);
  pinMode(21, INPUT);
  pinMode(22, INPUT);
  pinMode(23, INPUT);
  pinMode(36, INPUT);

  ads1.begin();
  ads2.begin();
  ads1.setGain(GAIN_ONE); 
  ads2.setGain(GAIN_ONE);   

  
  
}




void loop() {

  // Analog read
  
  adcString[0] = String(ads1.readADC_SingleEnded(0));
  adcString[1] = String(ads1.readADC_SingleEnded(1));
  adcString[2] = String(ads1.readADC_SingleEnded(2));
  adcString[3] = String(ads1.readADC_SingleEnded(3));

  adcString[4] = String(ads2.readADC_SingleEnded(0));
  adcString[5] = String(ads2.readADC_SingleEnded(1));
  adcString[6] = String(ads2.readADC_SingleEnded(2));
  adcString[7] = String(ads2.readADC_SingleEnded(3));

  
  
  display.clear();
  buttonString = String(readSwitch());
  display.drawString(0, 0, "A0: ");   display.drawString(20, 0, adcString[0]);
  display.drawString(70, 0, "A1: ");   display.drawString(90, 0, adcString[1]);

  display.drawString(0, 10, "A2: ");   display.drawString(20, 10, adcString[2]);
  display.drawString(70, 10, "A3: ");   display.drawString(90, 10, adcString[3]);

  display.drawString(0, 20, "A4: ");   display.drawString(20, 20, adcString[4]);
  display.drawString(70, 20, "A5: ");   display.drawString(90, 20, adcString[5]);

  display.drawString(0, 30, "A6: ");   display.drawString(20, 30, adcString[6]);
  display.drawString(70, 30, "A7: ");   display.drawString(90, 30, adcString[7]);

  display.drawString(0, 40, "Button: ");   display.drawString(40, 40, buttonString);
  
  display.display();
   
  delay(200); 
  

}
